Dependencies

Dependencies are specified to signify dependencies of tasks to external programs and software packages. The framework defines a set of basic dependencies, for instance Java JDK, Python 3, or Asciidoctor. Concrete applications can define their own dependencies. Tasks can then require a dependency, which will be tested on application start.

asciidoctor - ADOC processor

Asciidoctor is a tool (or rather tool chain) that takes files written in AsciiDoc (or ADOC) and produces various output formats. These formats are supported by backends. Standard backends are PDF and HTM. Others are supported by plugins. For details on Asciidoctor and its installation see https://asciidoctor.org/ .

asciidoctor-pdf - ADOC processor with PDF backend

PDF plugin for Asciidoctor to create PDF output.

biber - bibliography processor in LaTeX

This dependency checks for the availability of the LaTeX reference tool biber.

bibtex - bibliography processor in LaTeX

This dependency checks for the availability of the LaTeX reference tool bibtex.

cloc - ued to count Lines Of Code, static code analysis

This dependency checks for the tool CLOC, or Count Lines Of Code. This tool is used to count lines of code for a variety of languages.

gradle - software build environment

This checks for the availability of the Gradle build system. Gradle can be required by tasks for building software artifacts.

jdk - JAVA Development Kit (JDK) 8

This is the dependency for a Java development environment, or JDK. The exact version of the JDK cannot be specified, since there is not standardized version string across the multiple options (e.g. Oracle Java, Open JDK).

jre - JAVA Runtime Environment (JRE) 8

This is the dependency for a Java runtime environment, or JRE. The exact version of the JRE cannot be specified, since there is not standardized version string across the multiple options (e.g. Oracle Java, Open JRE).

maven - software build environment

Apache Maven is required by some tasks to build artifacts. One example is the SKB site, which is build using the Maven site plugin. The dependency here requires an installed version 3 or lager of Apache Maven. For Maven documentation and installation see https://maven.apache.org/.

pdflatex - LaTeX processor

This dependency tests for the availability of pdflatex. This might be required by tasks that compile LaTeX documents into PDF files.

pgrep - lookup proccesses by name

Dependency pyyaml…​

pkill - kill proccesses by name

Dependency pyyaml…​

python3 - Python language version 3

Used by a variety of tasks that are implemented in Python3. All of them require a python3 installation to be executed.

pyyaml - YAML processor for Python3

Used by a some tasks that use Python3 to process YAML files. All of them require a python3 installation and PY-YAML installed to be executed. To install pyyaml, run for instance pip as pip3 install pyyaml. For further information see the pyyaml home page: https://github.com/yaml/pyyaml.